module Kojak
  # Internal: Thread-safe version of Printer::Basic.
  class Printer::Synchronized < Printer::Basic
    @@lock = Mutex.new

    def write(s, *args)
      @@lock.synchronize { super }
    end
  end
end
